import { type ContractRunner } from "ethers";
import type { IPriceOracle, IPriceOracleInterface } from "../../../../contracts/Comptroller/Interfaces/IPriceOracle";
export declare class IPriceOracle__factory {
    static readonly abi: readonly [{
        readonly inputs: readonly [{
            readonly internalType: "address";
            readonly name: "cToken";
            readonly type: "address";
        }];
        readonly name: "getUnderlyingPrice";
        readonly outputs: readonly [{
            readonly internalType: "uint256";
            readonly name: "";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
        readonly type: "function";
    }];
    static createInterface(): IPriceOracleInterface;
    static connect(address: string, runner?: ContractRunner | null): IPriceOracle;
}
